{% extends 'base.html' %}
    {% block head %}
        <meta http-equiv="refresh" content="15"> 
        <title>Citas del día</title>
    {% endblock %}
    
    {% block body %} 
        <div class="appointments">
            <h1>Portal del Paciente</h1>
            <h2>{{ today }}</h2>
            {% if appointments|length < 1 %}
                <h4>No existen citas para el día de hoy</h4>
            {% else %}
                <table border="1">
                    <tr>
                        <th>Fecha</th>
                        <th>Paciente</th>
                        <th>Profesional</th>            
                    </tr>
                        {% for appointment in appointments %}
                            {% if appointment.urgency == 'a' %}
                            <tr class='normal_urgency'>
                            {% elif appointment.urgency == 'b' %}
                            <tr class='urgency_urgency'>
                            {% elif appointment.urgency == 'c' %}
                            <tr class='emergency_urgency'>
                            {% else %}
                            <tr>
                            {% endif %}
                                <td> {{ appointment.appointment_date.strftime('%d-%m-%Y %H:%M') }}  </td>
                                <td> {{ appointment.patient.name.lastname }}, {{ appointment.patient.name.name }} </td>
                                <td> {{ appointment.healthprof.name.lastname }}, {{ appointment.healthprof.name.name }}</td>
                            </tr>
                    {% endfor %}
                </table>
            {% endif %}
        </div>
    {% endblock %}
